/*
 * Esta biblioteca e um software livre, que pode ser redistribuido e/ou 
 * modificado sob os termos da Licença Publica Geral Reduzida GNU, 
 * conforme publicada pela Free Software Foundation, versao 2.1 da licenca.
 *
 * Esta biblioteca e distribuida na experanca de ser util aos seus usuarios, 
 * porem NAO TEM NENHUMA GARANTIA, EXPLICITAS OU IMPLICITAS, COMERCIAIS OU 
 * DE ATENDIMENTO A UMA DETERMINADA FINALIDADE. 
 * Veja a Licenca Publica Geral Reduzida GNU para maiores detalhes. 
 * A licenca se encontra no arquivo lgpl-br.txt 
 */
package org.jboleto.bancos;

import org.jboleto.Banco;
import org.jboleto.JBoletoBean;

/**
 * 	Classe para gerar o boleto do Banco Santander
 * 
 * 	Mantida a classe por questões de compatibilidade e migração.
 * 
 * 	@author Mario Grigioni
 * 		<li> versão legada
 * 	@author Ricardo Santana (Kenos, www.kenos.com.br)
 * 		<li> unificação para o novo padrão, usando o banco 033
 * 	@version $Id: Santander_353.java, v1.0 2016/12/02 14:17, ralexsander Exp $
 */
@Deprecated
public class Santander_353 implements Banco
{
	/**	Santander **/
	private Santander_033 santander = null;
	
	/**
	 * 	Constructor
	 * 	@param boleto
	 */
	public Santander_353 (JBoletoBean boleto)
	{
		santander = new Santander_033 (boleto);
	}	//	Santander_353
	
    /**
     * Metdodo responsavel por resgatar o numero do banco, coloque no return o codigo do seu banco
     */
	public String getNumero()
	{
		return santander.getNumero();
    }
	
	public String getDvNumero()
	{
		return santander.getDvNumero();
	}
	
	public String getDvNossoNumero(String nossoNumero)
	{
		return santander.getDvNossoNumero (nossoNumero);
	}
    
	public String getCodigoBarras()
	{
		return santander.getCodigoBarras();
	}

	public String getLinhaDigitavel()
	{
		return 	santander.getLinhaDigitavel();
	}

	public String getCarteira()
	{
		return santander.getCarteira();
	}
}